org.apache.flume.sink.elasticsearch

## Class SimpleIndexNameBuilder

- java.lang.Object
- - org.apache.flume.sink.elasticsearch.SimpleIndexNameBuilder

- All Implemented Interfaces:
    Configurable, ConfigurableComponent, IndexNameBuilder

      public class SimpleIndexNameBuilder
      extends Object
      implements IndexNameBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleIndexNameBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ComponentConfiguration conf)`
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `String` | `getIndexName(Event event)` Gets the name of the index to use for an index request
    `String` | `getIndexPrefix(Event event)` Gets the prefix of index to use for an index request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleIndexNameBuilder

          public SimpleIndexNameBuilder()

  - ### Method Detail

    - #### getIndexName

          public String getIndexName(Event event)

      Description copied from interface: `IndexNameBuilder`
      Gets the name of the index to use for an index request
      Specified by:
        `getIndexName` in interface `IndexNameBuilder`
      Parameters:
        `event` - Event which determines index name
      Returns:
        index name of the form 'indexPrefix-indexDynamicName'

    - #### getIndexPrefix

          public String getIndexPrefix(Event event)

      Description copied from interface: `IndexNameBuilder`
      Gets the prefix of index to use for an index request.
      Specified by:
        `getIndexPrefix` in interface `IndexNameBuilder`
      Parameters:
        `event` - Event which determines index name
      Returns:
        Index prefix name

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### configure

          public void configure(ComponentConfiguration conf)

      Specified by:
        `configure` in interface `ConfigurableComponent`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.